import request from '@/utils/request'

// 查询交通类型列表
export function listTrafficType(query) {
  return request({
    url: '/type/trafficType/list',
    method: 'get',
    params: query
  })
}

// 查询交通类型详细
export function getTrafficType(typeId) {
  return request({
    url: '/type/trafficType/' + typeId,
    method: 'get'
  })
}

// 新增交通类型
export function addTrafficType(data) {
  return request({
    url: '/type/trafficType',
    method: 'post',
    data: data
  })
}

// 修改交通类型
export function updateTrafficType(data) {
  return request({
    url: '/type/trafficType',
    method: 'put',
    data: data
  })
}

// 删除交通类型
export function delTrafficType(typeId) {
  return request({
    url: '/type/trafficType/' + typeId,
    method: 'delete'
  })
}

// 导出交通类型
export function exportTrafficType(query) {
  return request({
    url: '/type/trafficType/export',
    method: 'get',
    params: query
  })
}
